## arkose 0.3.2

=== Makefile ===
PREFIX ?= /usr

newns:
	gcc arkose-helper.c -o arkose-helper

arkose-raw-nonetwork:
	gcc arkose-raw-nonetwork.c -o arkose-raw-nonetwork

install: newns
	install -D -m 0755 arkose $(DESTDIR)$(PREFIX)/bin/arkose
	install -D -m 0755 arkose-helper $(DESTDIR)$(PREFIX)/bin/arkose-helper
	install -D -m 0755 arkose-gui $(DESTDIR)$(PREFIX)/bin/arkose-gui
	install -D -m 0644 arkose-gui.xml $(DESTDIR)$(PREFIX)/share/arkose-gui/arkose-gui.xml
	install -D -m 0644 arkose-nautilus.py $(DESTDIR)$(PREFIX)/lib/nautilus/extensions-2.0/python/arkose-nautilus.py

uninstall:
	rm -Rf $(DESTDIR)$(PREFIX)/bin/arkose $(DESTDIR)$(PREFIX)/bin/arkose-helper $(DESTDIR)$(PREFIX)/bin/arkose-gui
	rm -Rf $(DESTDIR)$(PREFIX)/share/arkose-gui
	rm -Rf $(DESTDIR)$(PREFIX)/lib/nautilus/extensions-2.0/python/arkose-nautilus.py

clean:
	rm -f arkose-helper

.PHONY: install clean

=== debian/changelog ===
arkose (0.3.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release.
   - Fix build on Debian
  * Fix typo in package description (LP: #759808)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 14 Apr 2011 15:36:21 -0400

arkose (0.3.1-0ubuntu2) natty; urgency=low

  * Update .desktop file to match other menu entries

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 26 Jan 2011 20:21:35 +0100

arkose (0.3.1-0ubuntu1) natty; urgency=low

  * New upstream release (0.3.1) (LP: #700848)
    - Rename from sandbox to arkose

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Dec 2010 22:41:52 -0500

=== debian/control ===
Source: arkose
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.9.1
Homepage: https://launchpad.net/arkose

Package: arkose
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Desktop application sandboxing - core
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the command line tool.

Package: arkose-gui
Architecture: all
Depends: ${misc:Depends}, arkose, python, python-gtk2
Description: Desktop application sandboxing - gui
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the GUI tool.

Package: arkose-nautilus
Architecture: all
Depends: ${misc:Depends}, arkose-gui, python-nautilus
Description: Desktop application sandboxing - nautilus
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the nautilus integration.

## arkose 1.3.5

=== dbus-proxy/Makefile ===
PREFIX ?= /usr

all: arkose-dbus-proxy

arkose-dbus-proxy: proxy.c
	$(CC) -o $@ $< `pkg-config --cflags --libs dbus-1 dbus-glib-1`

clean:
	rm -f arkose-dbus-proxy

install: arkose-dbus-proxy
	install -D -m 755 arkose-dbus-proxy $(DESTDIR)$(PREFIX)/bin/arkose-dbus-proxy

=== cli/po/Makefile ===
DOMAIN=arkose
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
POTFILE=$(DOMAIN).pot

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot:
	pygettext -d $(DOMAIN) -a -D ../arkose

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

distclean: clean
clean:
	- rm *.mo *~

.PHONY: update-po check

=== gui/po/Makefile ===
DOMAIN=arkose-gui
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
POTFILE=$(DOMAIN).pot

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot:
	pygettext -d $(DOMAIN) -a -D ../arkose-gui
	xgettext -L glade -o $(DOMAIN).pot -j ../arkose-gui.xml
	sed "/#, fuzzy/d" -i arkose-gui.pot

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

distclean: clean
clean:
	- rm *.mo *~

.PHONY: update-po check

=== nautilus/po/Makefile ===
DOMAIN=arkose-nautilus
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
POTFILE=$(DOMAIN).pot

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot:
	pygettext -d $(DOMAIN) -a -D ../arkose-nautilus.py

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

distclean: clean
clean:
	- rm *.mo *~

.PHONY: update-po check

=== wrapper/po/Makefile ===
DOMAIN=arkose-wrapper-gui
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
POTFILE=$(DOMAIN).pot

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot:
	pygettext -d $(DOMAIN) -a -D ../arkose-wrapper-gui

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

distclean: clean
clean:
	- rm *.mo *~

.PHONY: update-po check

=== debian/changelog ===
arkose (1.3.5-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix and translation update release
    - Fix chdir to $PWD on container start not working from cli
      and instead doing a chdir to /usr/bin.
    - Update translations (de)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 03 Oct 2011 19:34:19 -0400

arkose (1.3.4-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix and translation update release
    - chdir to $PWD when $PWD also exists in the container
    - Update translations (en_AU, es, gl, it, nb, ru, sl)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Sep 2011 12:25:01 -0400

arkose (1.3.3-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix and translation update release.
    - Make the GUIs load the translations properly
    - Fix Makefile to no longer require --no-as-needed
    - Update translations template
    - Update translations (ca, en_AU, en_GB, es, fr, it, ms, nl, pt_BR, uk)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 14:52:09 -0400

arkose (1.3.2-0ubuntu2) oneiric; urgency=low

  * Fix install files to include the translations.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 06 Sep 2011 20:31:08 -0400

arkose (1.3.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix only release.
    - Update translations (french and italian)
    - Fix pyflakes warnings
    - Cleanup temporary files created by Arkose
    - Disable global menu integration when using xpra (wasn't working)
    - Fix DBUS system bus access after the switch to /run

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Sep 2011 19:55:27 -0400

arkose (1.3.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix only release.
    - Cleanup all created files
    - Fix gedit's profile to allow its dbus API
    - Update filtered network's addressing to be the right way around
    - Use /31 for point-to-point instead of /30
    - Really kill all processes on exit (using lxc-stop)
    - Fix parameter handling in both wrapper and cli
    - Add a time call to the unit test

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 17 Aug 2011 19:00:03 -0400

arkose (1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release (1.3)
    - Add translation support
    - Drop arkose-socket-proxy
    - Use arkose-dbus-proxy everywhere
    - Update wrapper UI for DBUS and live config edit
    - Move profiles and GUI to /usr/share/arkose
    - Add some dbus proxy profiles
    - Test suite update
    - Support generic device passthrough (and make video a special case)
    - Update environment whitelisting to allow dbusmenu
    - Add Makefile for translation and dbus proxy
    - Fix arkose cli help messages
    - Update default LXC config to allow only needed devices
  * Update packaging for new files and switch to /usr/share/arkose
  * Update debian/rules to call all the new Makefiles
  * Make arkose itself arch any (dbus proxy is in C)
  * Add dbus build dependency
  * Update debhelper build depend (as packaging is now using overrides)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Aug 2011 16:33:17 -0400

arkose (1.2.3-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (1.2.3)
    - Add (unused) dbus-proxy code
    - Fix arkose-gui failing with kernel 3.0
    - Make sure .X11-unix always exists
    - Merge pylint fixes from Simon Deziel

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Aug 2011 10:11:22 -0400

arkose (1.2.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (1.2.2)
    - Fix containers failing to start when cgroup-bin is installed
    - Code cleanup to make pylint happier

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 09 Jul 2011 14:39:53 +0200

arkose (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (1.2.1)
    - Fix wrong permissions on home directory
    - Fix network forwarding in filtered mode
    - Create mount source when missing

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 01 Jul 2011 00:23:26 +0100

arkose (1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release (1.2)
    - Implement video devices passthrough
    - Implement network isolation
    - Fix crash when DISPLAY contains a "."
    - Update profiles
    - Make ctrl+c work in the wrapper
    - UI tweaks
    - Export current resolution to xpra
  * Add depends on python-netaddr (for arkose)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 Jun 2011 19:13:49 +0100

arkose (1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release (1.1)
    - Always create home directory and ensure it's empty
    - Kill everything in the container when the main command exits
    - Fix sys.path mangling to load locale copy of the module when there
    - Improve wrapper UI slightly (wording)
    - Add an example Skype profile

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 27 Jun 2011 11:43:53 +0100

arkose (1.0-0ubuntu2) oneiric; urgency=low

  * Add missing dependencies on polkit and lxc.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 14 Jun 2011 10:52:18 -0400

arkose (1.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (1.0)
   - Complete rewrite to use LXC
   - Switch to python for everything
   - Add arkose-gui-wrapper
  * .desktop and manpages moved upstream
  * Bump standards version
  * Add arkose-gui-wrapper and arkose-socket-proxy
  * Add example profiles for arkose-gui-wrapper
  * Update packaging for python module

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 13 Jun 2011 16:00:09 -0400

=== debian/control ===
Source: arkose
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python, python-configobj, libdbus-glib-1-dev, libdbus-1-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/arkose
X-Python-Version: >= 2.6

Package: arkose
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python, python-netaddr, xpra, pulseaudio, lxc
Description: Desktop application sandboxing - core
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the command line tool.

Package: arkose-gui
Architecture: all
Depends: ${misc:Depends}, python, arkose, python-gobject | python-gtk2, python-configobj, policykit-1
Description: Desktop application sandboxing - gui
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the GUI tool.

Package: arkose-nautilus
Architecture: all
Depends: ${misc:Depends}, python, arkose-gui, python-nautilus
Description: Desktop application sandboxing - nautilus 2.x only
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the nautilus integration.

=== debian/watch ===
version=3

# launchpad
https://launchpad.net/arkose/+download http://launchpad.net/arkose/.*/arkose-(.*)\.tar\.gz

## arkose 1.5.1

=== debian/changelog ===
arkose (1.5.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
    - Add code to translate arkose-gui.desktop too
    - Set path correctly so arkose doesn't always use /tmp
    - Updated translations

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Mar 2012 13:39:08 -0400

arkose (1.5-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Allow for alternate base path (LP: #893866)
    - Massive updated to 'arkose' itself (cli) to support all the features
      the main python module as been supporting for a while. (LP: #807388)
    - Updated manpage for arkose
    - Unset DISPLAY when starting with xserver = none
    - Updated translations
  * Set X-Ubuntu-Use-Langpack: yes to get langpack translations as arkose
    is seeded in Edubuntu and will be covered by 5 years LTS.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 14 Feb 2012 17:19:11 -0500

arkose (1.4.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
    - Make arkose work with resolvconf by mounting /run/resolvconf from
      the outside into the container (as copy-on-write or bind mount
      depending on the container type)
    - Updated translations

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 27 Jan 2012 10:45:24 -0500

arkose (1.4.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
    - Fix ownership of bind mounts (LP: #890389)
    - Complete overlayfs support (LP: #761447 as it likely was an aufs bug)
    - Updated translations

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Jan 2012 16:26:00 -0500

arkose (1.4-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Updated translations
    - Allow an alternate root to be set
      (root parameter in python module, defaults to /)
    - Bugfix to arkose-wrapper to work when called from a .desktop
    - Support for overlayfs (default with fallback to aufs)
    - Don't require root to run --help on the cli

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 29 Oct 2011 17:33:14 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/arkose
 X-Python-Version: >= 2.6
+X-Ubuntu-Use-Langpack: yes
 
 Package: arkose
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	env > debug
	cd dbus-proxy && make
	dh_auto_build

override_dh_auto_install:
	cd dbus-proxy && DESTDIR=$(CURDIR)/debian/tmp make install
	cd cli/po && DESTDIR=$(CURDIR)/debian/tmp make install
	cd gui/po && DESTDIR=$(CURDIR)/debian/tmp make install
	cd nautilus/po && DESTDIR=$(CURDIR)/debian/tmp make install
	cd wrapper/po && DESTDIR=$(CURDIR)/debian/tmp make install
	dh_auto_install

get-orig-source:
	uscan --force-download --repack --rename --destdir .

## arkose 1.6

=== gui/po/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 $(DOMAIN).pot:
 	pygettext -d $(DOMAIN) -a -D ../arkose-gui
 	xgettext -L glade -o $(DOMAIN).pot -j ../arkose-gui.xml
+	sh extract-desktop.sh ../arkose-gui.desktop arkose-gui.pot
 	sed "/#, fuzzy/d" -i arkose-gui.pot
 
 update-po:

=== debian/changelog ===
arkose (1.6-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Port everything to python 3.x (tested with 3.3)
    - Automatically bind-mount sssd's runtime directory on systems using sssd
    - Automatically bind-mount XDG_RUNTIME_DIR
    - Improve UID detection code
    - Drop configobj dependency
    - Rework testsuite to use python-coverage
    - Various bugfixes
    - Fix all PEP-8 and pyflakes warnings
    - Updated translations

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 10 Dec 2012 16:39:30 -0500

arkose (1.5.1-0ubuntu3) quantal; urgency=low

  * When running under sudo, use SUDO_UID instead of falling back on the
    potentially non-existing uid 1000. (LP: #1055677)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 24 Sep 2012 14:09:44 -0400

arkose (1.5.1-0ubuntu2) quantal; urgency=low

  * Adding distro patch to remove unnecessary type=str from arkose-cli
    in order to workaround the newly introduced LP: #1048710.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 10 Sep 2012 12:29:41 -0400

=== debian/control ===
Source: arkose
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               python3
Standards-Version: 3.9.3
Homepage: https://launchpad.net/arkose
X-Python3-Version: >= 3.2
X-Ubuntu-Use-Langpack: yes

Package: arkose
Architecture: any
Depends: lxc,
         pulseaudio,
         python3,
         python3-netaddr,
         xpra,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Desktop application sandboxing - core
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the command line tool.

Package: arkose-gui
Architecture: all
Depends: arkose, policykit-1, python3, python3-gobject, ${misc:Depends}
Description: Desktop application sandboxing - gui
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the GUI tool.

Package: arkose-nautilus
Architecture: all
Depends: arkose-gui, python, python-nautilus, ${misc:Depends}
Description: Desktop application sandboxing - nautilus 2.x only
 arkose is a tool which lets you easily create
 containers with copy-on-write support using the
 namespace capabilities of recent Linux kernels.
 .
 This package contains the nautilus integration.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	cd dbus-proxy && make
	python3 setup.py build

override_dh_auto_install:
	cd dbus-proxy && DESTDIR=$(CURDIR)/debian/tmp make install
	cd cli/po && DESTDIR=$(CURDIR)/debian/tmp make install
	cd gui/po && DESTDIR=$(CURDIR)/debian/tmp make install
	cd nautilus/po && DESTDIR=$(CURDIR)/debian/tmp make install
	cd wrapper/po && DESTDIR=$(CURDIR)/debian/tmp make install
	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

get-orig-source:
	uscan --force-download --repack --rename --destdir .
